# hash_set.h File Reference

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file hash_set.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace __gnu_cxx::__debug

## Classes

- class __gnu_cxx::__debug::hash_set< _Value, _HashFcn, _EqualKey, _Alloc >

## Defines

- #define _GLIBCXX_DEBUG_HASH_SET_H

## Functions

- template<typename _Value, typename _HashFcn, typename _EqualKey, typename _Alloc> bool __gnu_cxx::__debug::operator!= (const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__x, const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__y)
- template<typename _Value, typename _HashFcn, typename _EqualKey, typename _Alloc> bool __gnu_cxx::__debug::operator== (const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__x, const hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__y)
- template<typename _Value, typename _HashFcn, typename _EqualKey, typename _Alloc> void __gnu_cxx::__debug::swap (hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__x, hash_set< _Value, _HashFcn, _EqualKey, _Alloc > &__y)